/* -- File Info --
 * orggui.cpp - Implementation file
 *
 * This file is a simple GUI for use in ORGplay and other software. You may use it in your own projects if you wish.
 *
 * To note, this code is PD. You may copy it, redistribute it, and use it as you wish, unrestricted.
 *   ~nmn
 */

/* -- Legal Info --
 * This code is Public Domain.
 */

#include "orggui.h"

GraphicsOutput *g_GfxOut;

TextureCoord::TextureCoord() 
{
	X1 = 0.0;
	Y1 = 0.0;
	X2 = 1.0;
	Y2 = 1.0;
}

TextureCoord::TextureCoord(double p_Scale) 
{
	X1 = 0.5-p_Scale/2;
	Y1 = 0.5-p_Scale/2;
	X2 = 0.5+p_Scale/2;
	Y2 = 0.5+p_Scale/2;
}

TextureCoord::TextureCoord(double p_W, double p_H) 
{
	X1 = 0.5-p_W/2;
	Y1 = 0.5-p_H/2;
	X2 = 0.5+p_W/2;
	Y2 = 0.5+p_H/2;
}

TextureCoord::TextureCoord(double p_X1, double p_Y1, double p_X2, double p_Y2) 
{
	X1 = p_X1;
	Y1 = p_Y1;
	X2 = p_X2;
	Y2 = p_Y2;
}

void TextureCoord::Offset(double p_X, double p_Y)
{
	X1 += p_X;
	Y1 += p_X;
	X2 += p_Y;
	Y2 += p_Y;
}
