/* -- File Info --
 * orgtheme.cpp - Implementation file
 *
 * This file is a simple theme system for use in ORGplay and other software. You may use it in your own projects if you wish.
 *
 * To note, this code is PD. You may copy it, redistribute it, and use it as you wish, unrestricted.
 *   ~nmn
 */

/* -- Legal Info --
 * This code is Public Domain.
 */

#include "orgtheme.h"

string g_CurrentTheme("Liquid Aluminum");
vector<string> g_Themes;

void *g_ThemeBitmaps[12];

void SetTheme(int p_ThemeID, GraphicsOutput *p_GfxOut)
{
	g_CurrentTheme = g_Themes[p_ThemeID];
	g_ThemeBitmaps[BACKGROUND] = p_GfxOut->LoadTexture(IMG_Load((string("./gfx/")+g_CurrentTheme+string("/bg.png")).c_str()));
	g_ThemeBitmaps[VOLUMESLIDER] = p_GfxOut->LoadTexture(IMG_Load((string("./gfx/")+g_CurrentTheme+string("/volumeslider.png")).c_str()));
}

void GetThemes()
{
	DIR *dirp = opendir("./gfx/");
	dirent *dp;
	
	while (!g_Themes.empty())
	{
		g_Themes.pop_back();
	}
	
	while (dirp) 
	{
		if ((dp = readdir(dirp)) != NULL) 
		{
			if(dp->d_name[0] != '.')
			{
				g_Themes.push_back(dp->d_name);
			}
		} 
		else 
		{
			return;
		}
	}
}
